package com.six15.hudservice;

import androidx.annotation.Nullable;

import java.util.HashMap;
import java.util.Map;

public enum EnumHudMode {
    HUD_MODE_NORMAL((byte) 0x00),
    HUD_MODE_MIRROR((byte) 0x01),
    HUD_MODE_PRESENT((byte) 0x02),
    HUD_MODE_MIRROR_ONLY((byte) 0x04),
    HUD_MODE_MIRROR_ONLY_CROP((byte) 0x05);


    private static final Map<Byte, EnumHudMode> typesByValue = new HashMap<Byte, EnumHudMode>();

    static {
        for (EnumHudMode type : EnumHudMode.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;

    EnumHudMode(byte val) {
        this.value = val;
    }

    public byte value() {
        return value;
    }

    @Nullable
    public static EnumHudMode forValue(byte value) {
        return EnumHudMode.typesByValue.get(value);
    }

}
